useLoyalty
Api reference

Get Points Balance

Retrieve a member's current points balance and optionally their transaction history

GET/members/{externalId}/points

Retrieve a member's current points balance and optionally their transaction history

AuthorizationBearer <token>

Use your private API key (sk_xxx) as the bearer token

In: header

Path Parameters

externalId*string

Query Parameters

history?boolean

Include transaction history

Defaultfalse
limit?integer

Number of transactions to return

Default20

Response Body

application/json

curl -X GET "https://app.useloyalty.app/api/v1/members/string/points"
{
  "points": 0,
  "totalEarned": 0,
  "transactions": [
    {
      "id": "string",
      "amount": 0,
      "balance": 0,
      "type": "EARNED",
      "description": "string",
      "referenceId": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ]
}
Empty